# coding: utf-8
lib = File.expand_path("../lib", __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require "totvs/password_vault/version"

Gem::Specification.new do |spec|
  spec.name          = "totvs_password_vault"
  spec.version       = Totvs::PasswordVault::VERSION
  spec.authors       = ["Guilherme da Silva Mello"]
  spec.email         = ["guilhermesilvamello@gmail.com"]

  spec.required_ruby_version = ">= 2.1"

  spec.summary       = "Totvs password vault manager."
  spec.description   = "This gem allows you to manage your data on totvs password vault."
  spec.homepage      = "https://github.com/diegoaltheman/totvs_password_vault"
  spec.license       = "MIT"

  # # Prevent pushing this gem to RubyGems.org by setting 'allowed_push_host', or
  # # delete this section to allow pushing this gem to any host.
  # if spec.respond_to?(:metadata)
  #   spec.metadata['allowed_push_host'] = "TODO: Set to 'http://mygemserver.com'"
  # else
  #   raise "RubyGems 2.0 or newer is required to protect against public gem pushes."
  # end

  spec.files         = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_dependency "oauth", "~> 0.4"

  spec.add_development_dependency "bundler", "~> 1.10"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "rspec", "~> 3.3"
  spec.add_development_dependency "rspec-its", "~> 1.2"
  spec.add_development_dependency "rubocop", "~> 0.32"
  spec.add_development_dependency "pry", "~> 0.10"
  spec.add_development_dependency "dotenv"
end
